import java.util.Iterator;

public final class Class423 implements Iterable {

   Class225 aClass225_5349;
   int anInt5350;
   Class225[] aClass225Array5351;
   long aLong5352;
   Class225 aClass225_5353;
   int anInt5354 = 0;


   public void method7202() {
      int var1 = 0;

      while(var1 < this.anInt5350 * 1620363087) {
         Class225 var2 = this.aClass225Array5351[var1];

         while(true) {
            Class225 var3 = var2.aClass225_2607;
            if(var3 == var2) {
               ++var1;
               break;
            }

            var3.method3857(843908676);
         }
      }

      this.aClass225_5349 = null;
      this.aClass225_5353 = null;
   }

   public Iterator method7203() {
      return new Class441(this);
   }

   public Class225 method7204(int var1) {
      if(null == this.aClass225_5349) {
         return null;
      } else {
         for(Class225 var2 = this.aClass225Array5351[(int)(this.aLong5352 * 1841973315670539165L & (long)(this.anInt5350 * 1620363087 - 1))]; this.aClass225_5349 != var2; this.aClass225_5349 = this.aClass225_5349.aClass225_2607) {
            if(this.aLong5352 * 1841973315670539165L == -7222396723785363401L * this.aClass225_5349.aLong2606) {
               Class225 var3 = this.aClass225_5349;
               this.aClass225_5349 = this.aClass225_5349.aClass225_2607;
               return var3;
            }
         }

         this.aClass225_5349 = null;
         return null;
      }
   }

   public int method7205(Class225[] var1) {
      int var2 = 0;

      for(int var3 = 0; var3 < 1620363087 * this.anInt5350; ++var3) {
         Class225 var4 = this.aClass225Array5351[var3];

         for(Class225 var5 = var4.aClass225_2607; var5 != var4; var5 = var5.aClass225_2607) {
            var1[var2++] = var5;
         }
      }

      return var2;
   }

   public Class423(int var1) {
      this.anInt5350 = 167243695 * var1;
      this.aClass225Array5351 = new Class225[var1];

      for(int var2 = 0; var2 < var1; ++var2) {
         Class225 var3 = this.aClass225Array5351[var2] = new Class225();
         var3.aClass225_2607 = var3;
         var3.aClass225_2608 = var3;
      }

   }

   public void method7206(Class225 var1, long var2) {
      if(var1.aClass225_2608 != null) {
         var1.method3857(659019948);
      }

      Class225 var4 = this.aClass225Array5351[(int)(var2 & (long)(this.anInt5350 * 1620363087 - 1))];
      var1.aClass225_2608 = var4.aClass225_2608;
      var1.aClass225_2607 = var4;
      var1.aClass225_2608.aClass225_2607 = var1;
      var1.aClass225_2607.aClass225_2608 = var1;
      var1.aLong2606 = -641052250121656953L * var2;
   }

   
   public void method7207() {
      int var1 = 0;

      while(var1 < this.anInt5350 * 1620363087) {
         Class225 var2 = this.aClass225Array5351[var1];

         while(true) {
            Class225 var3 = var2.aClass225_2607;
            if(var3 == var2) {
               ++var1;
               break;
            }

            var3.method3857(1862223542);
         }
      }

      this.aClass225_5349 = null;
      this.aClass225_5353 = null;
   }

   public Class225 method7208(int var1) {
      this.anInt5354 = 0;
      return this.method7226(779711101);
   }

   public int method7209() {
      int var1 = 0;

      for(int var2 = 0; var2 < 1620363087 * this.anInt5350; ++var2) {
         Class225 var3 = this.aClass225Array5351[var2];

         for(Class225 var4 = var3.aClass225_2607; var4 != var3; var4 = var4.aClass225_2607) {
            ++var1;
         }
      }

      return var1;
   }

   public Iterator iterator() {
      return new Class441(this);
   }

   public Iterator method7210() {
      return new Class441(this);
   }

   public Class225 method7211(long var1) {
      this.aLong5352 = 6674542771781427893L * var1;
      Class225 var3 = this.aClass225Array5351[(int)(var1 & (long)(this.anInt5350 * 1620363087 - 1))];

      for(this.aClass225_5349 = var3.aClass225_2607; var3 != this.aClass225_5349; this.aClass225_5349 = this.aClass225_5349.aClass225_2607) {
         if(var1 == -7222396723785363401L * this.aClass225_5349.aLong2606) {
            Class225 var4 = this.aClass225_5349;
            this.aClass225_5349 = this.aClass225_5349.aClass225_2607;
            return var4;
         }
      }

      this.aClass225_5349 = null;
      return null;
   }

   public void method7212(int var1) {
      int var2 = 0;

      while(var2 < this.anInt5350 * 1620363087) {
         Class225 var3 = this.aClass225Array5351[var2];

         while(true) {
            Class225 var4 = var3.aClass225_2607;
            if(var4 == var3) {
               ++var2;
               break;
            }

            var4.method3857(853231409);
         }
      }

      this.aClass225_5349 = null;
      this.aClass225_5353 = null;
   }

   public Class225 method7213(long var1) {
      this.aLong5352 = 6674542771781427893L * var1;
      Class225 var3 = this.aClass225Array5351[(int)(var1 & (long)(this.anInt5350 * 1620363087 - 1))];

      for(this.aClass225_5349 = var3.aClass225_2607; var3 != this.aClass225_5349; this.aClass225_5349 = this.aClass225_5349.aClass225_2607) {
         if(var1 == -7222396723785363401L * this.aClass225_5349.aLong2606) {
            Class225 var4 = this.aClass225_5349;
            this.aClass225_5349 = this.aClass225_5349.aClass225_2607;
            return var4;
         }
      }

      this.aClass225_5349 = null;
      return null;
   }

   public Class225 method7214(long var1) {
      this.aLong5352 = 6674542771781427893L * var1;
      Class225 var3 = this.aClass225Array5351[(int)(var1 & (long)(this.anInt5350 * 1620363087 - 1))];

      for(this.aClass225_5349 = var3.aClass225_2607; var3 != this.aClass225_5349; this.aClass225_5349 = this.aClass225_5349.aClass225_2607) {
         if(var1 == -7222396723785363401L * this.aClass225_5349.aLong2606) {
            Class225 var4 = this.aClass225_5349;
            this.aClass225_5349 = this.aClass225_5349.aClass225_2607;
            return var4;
         }
      }

      this.aClass225_5349 = null;
      return null;
   }

   public Class225 method7215(long var1) {
      this.aLong5352 = 6674542771781427893L * var1;
      Class225 var3 = this.aClass225Array5351[(int)(var1 & (long)(this.anInt5350 * 1620363087 - 1))];

      for(this.aClass225_5349 = var3.aClass225_2607; var3 != this.aClass225_5349; this.aClass225_5349 = this.aClass225_5349.aClass225_2607) {
         if(var1 == -7222396723785363401L * this.aClass225_5349.aLong2606) {
            Class225 var4 = this.aClass225_5349;
            this.aClass225_5349 = this.aClass225_5349.aClass225_2607;
            return var4;
         }
      }

      this.aClass225_5349 = null;
      return null;
   }

   public Class225 method7216() {
      if(null == this.aClass225_5349) {
         return null;
      } else {
         for(Class225 var1 = this.aClass225Array5351[(int)(this.aLong5352 * 1841973315670539165L & (long)(this.anInt5350 * 1620363087 - 1))]; this.aClass225_5349 != var1; this.aClass225_5349 = this.aClass225_5349.aClass225_2607) {
            if(this.aLong5352 * 1841973315670539165L == -7222396723785363401L * this.aClass225_5349.aLong2606) {
               Class225 var2 = this.aClass225_5349;
               this.aClass225_5349 = this.aClass225_5349.aClass225_2607;
               return var2;
            }
         }

         this.aClass225_5349 = null;
         return null;
      }
   }

   public Class225 method7217() {
      if(null == this.aClass225_5349) {
         return null;
      } else {
         for(Class225 var1 = this.aClass225Array5351[(int)(this.aLong5352 * 1841973315670539165L & (long)(this.anInt5350 * 1620363087 - 1))]; this.aClass225_5349 != var1; this.aClass225_5349 = this.aClass225_5349.aClass225_2607) {
            if(this.aLong5352 * 1841973315670539165L == -7222396723785363401L * this.aClass225_5349.aLong2606) {
               Class225 var2 = this.aClass225_5349;
               this.aClass225_5349 = this.aClass225_5349.aClass225_2607;
               return var2;
            }
         }

         this.aClass225_5349 = null;
         return null;
      }
   }

   public Class225 method7218() {
      Class225 var1;
      if(-1037895235 * this.anInt5354 > 0 && this.aClass225_5353 != this.aClass225Array5351[this.anInt5354 * -1037895235 - 1]) {
         var1 = this.aClass225_5353;
         this.aClass225_5353 = var1.aClass225_2607;
         return var1;
      } else {
         do {
            if(this.anInt5354 * -1037895235 >= 1620363087 * this.anInt5350) {
               return null;
            }

            var1 = this.aClass225Array5351[(this.anInt5354 += -2086598251) * -1037895235 - 1].aClass225_2607;
         } while(this.aClass225Array5351[this.anInt5354 * -1037895235 - 1] == var1);

         this.aClass225_5353 = var1.aClass225_2607;
         return var1;
      }
   }

   public int method7219(Class225[] var1) {
      int var2 = 0;

      for(int var3 = 0; var3 < 1620363087 * this.anInt5350; ++var3) {
         Class225 var4 = this.aClass225Array5351[var3];

         for(Class225 var5 = var4.aClass225_2607; var5 != var4; var5 = var5.aClass225_2607) {
            var1[var2++] = var5;
         }
      }

      return var2;
   }

   public int method7220() {
      int var1 = 0;

      for(int var2 = 0; var2 < 1620363087 * this.anInt5350; ++var2) {
         Class225 var3 = this.aClass225Array5351[var2];

         for(Class225 var4 = var3.aClass225_2607; var4 != var3; var4 = var4.aClass225_2607) {
            ++var1;
         }
      }

      return var1;
   }

   public int method7221(Class225[] var1, int var2) {
      int var3 = 0;

      for(int var4 = 0; var4 < 1620363087 * this.anInt5350; ++var4) {
         Class225 var5 = this.aClass225Array5351[var4];

         for(Class225 var6 = var5.aClass225_2607; var6 != var5; var6 = var6.aClass225_2607) {
            var1[var3++] = var6;
         }
      }

      return var3;
   }

   public Class225 method7222() {
      this.anInt5354 = 0;
      return this.method7226(-176126161);
   }

   public int method7223() {
      int var1 = 0;

      for(int var2 = 0; var2 < 1620363087 * this.anInt5350; ++var2) {
         Class225 var3 = this.aClass225Array5351[var2];

         for(Class225 var4 = var3.aClass225_2607; var4 != var3; var4 = var4.aClass225_2607) {
            ++var1;
         }
      }

      return var1;
   }

   public int method7224() {
      int var1 = 0;

      for(int var2 = 0; var2 < 1620363087 * this.anInt5350; ++var2) {
         Class225 var3 = this.aClass225Array5351[var2];

         for(Class225 var4 = var3.aClass225_2607; var4 != var3; var4 = var4.aClass225_2607) {
            ++var1;
         }
      }

      return var1;
   }

   public void method7225() {
      int var1 = 0;

      while(var1 < this.anInt5350 * 1620363087) {
         Class225 var2 = this.aClass225Array5351[var1];

         while(true) {
            Class225 var3 = var2.aClass225_2607;
            if(var3 == var2) {
               ++var1;
               break;
            }

            var3.method3857(433216084);
         }
      }

      this.aClass225_5349 = null;
      this.aClass225_5353 = null;
   }

   public Class225 method7226(int var1) {
      Class225 var2;
      if(-1037895235 * this.anInt5354 > 0 && this.aClass225_5353 != this.aClass225Array5351[this.anInt5354 * -1037895235 - 1]) {
         var2 = this.aClass225_5353;
         this.aClass225_5353 = var2.aClass225_2607;
         return var2;
      } else {
         do {
            if(this.anInt5354 * -1037895235 >= 1620363087 * this.anInt5350) {
               return null;
            }

            var2 = this.aClass225Array5351[(this.anInt5354 += -2086598251) * -1037895235 - 1].aClass225_2607;
         } while(this.aClass225Array5351[this.anInt5354 * -1037895235 - 1] == var2);

         this.aClass225_5353 = var2.aClass225_2607;
         return var2;
      }
   }

   public void method7227() {
      int var1 = 0;

      while(var1 < this.anInt5350 * 1620363087) {
         Class225 var2 = this.aClass225Array5351[var1];

         while(true) {
            Class225 var3 = var2.aClass225_2607;
            if(var3 == var2) {
               ++var1;
               break;
            }

            var3.method3857(-1993118853);
         }
      }

      this.aClass225_5349 = null;
      this.aClass225_5353 = null;
   }

   public Iterator method7228() {
      return new Class441(this);
   }

   public Class225 method7229() {
      this.anInt5354 = 0;
      return this.method7226(-935436112);
   }

   public int method7230(int var1) {
      int var2 = 0;

      for(int var3 = 0; var3 < 1620363087 * this.anInt5350; ++var3) {
         Class225 var4 = this.aClass225Array5351[var3];

         for(Class225 var5 = var4.aClass225_2607; var5 != var4; var5 = var5.aClass225_2607) {
            ++var2;
         }
      }

      return var2;
   }

   static final void method7231(Class508 var0, byte var1) {
      var0.anInt6025 += 2029505775 * var0.anIntArray6023[var0.anInt6025 * 1651565071];
   }

   static final void method7232(Class508 var0, int var1) {
      var0.anIntArray6027[(var0.anInt6003 += 98312473) * -937710807 - 1] = Class500.aClass225_Sub6_5953.aClass463_Sub28_8477.method13471(-613123373);
   }
}
